ALTER TABLE music_sessions ADD COLUMN band_id VARCHAR(64) REFERENCES bands(id);
ALTER TABLE music_sessions ADD COLUMN approval_required BOOLEAN NOT NULL;
ALTER TABLE music_sessions ADD COLUMN fan_access BOOLEAN NOT NULL;
ALTER TABLE music_sessions ADD COLUMN fan_chat BOOLEAN NOT NULL;
CREATE TABLE fan_invitations (
    id VARCHAR(64) PRIMARY KEY DEFAULT uuid_generate_v4(),
    sender_id VARCHAR(64) REFERENCES users(id) ON DELETE CASCADE,
    receiver_id VARCHAR(64) REFERENCES users(id) ON DELETE CASCADE,
    music_session_id VARCHAR(64) REFERENCES music_sessions(id) ON DELETE CASCADE,
    created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP
);
